DefaultGrailsControllerClass (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.commons

## [Java] Class DefaultGrailsControllerClass

- org.codehaus.groovy.grails.commons.DefaultGrailsControllerClass

- All Implemented Interfaces and Traits:
    GrailsControllerClass

      @java.lang.SuppressWarnings("rawtypes")
      public class DefaultGrailsControllerClass
      extends AbstractInjectableGrailsClass

  Evaluates the conventions contained within controllers to perform auto-configuration.

  Authors:
    Graeme Rocher
    Steven Devijver
  Since:
    0.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ALLOWED_HTTP_METHODS_PROPERTY` |
    `static java.lang.String` | `CONTROLLER` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsControllerClass (java.lang.Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected boolean` | `doCheckIsHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)`
    `groovy.lang.Closure` | `getAfterInterceptor(groovy.lang.GroovyObject controller)`
    `groovy.lang.Closure` | `getBeforeInterceptor(groovy.lang.GroovyObject controller)`
    `java.util.Set` | `getCommandObjectActions()` @return EMPTY_SET until the method is removed
    `java.util.Set` | `getCommandObjectClasses()` @return EMPTY_SET until the method is removed
    `java.lang.String` | `getDefaultAction()`
    `java.util.Map<java.lang.String, groovy.lang.Closure>` | `getFlows()`
    `java.lang.String` | `getMethodActionName(java.lang.String uri)`
    `java.lang.String` | `getNamespace()`
    `java.lang.String[]` | `getURIs()`
    `java.lang.String` | `getViewByName(java.lang.String viewName)`
    `java.lang.String` | `getViewByURI(java.lang.String uri)`
    `void` | `initialize()`
    `boolean` | `isFlowAction(java.lang.String actionName)`
    `boolean` | `isHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)`
    `boolean` | `isInterceptedAfter(groovy.lang.GroovyObject controller, java.lang.String action)`
    `boolean` | `isInterceptedBefore(groovy.lang.GroovyObject controller, java.lang.String action)`
    `boolean` | `mapsToURI(java.lang.String uri)`
    `void` | `registerMapping(java.lang.String actionName)`
    `void` | `setDefaultActionName(java.lang.String defaultActionName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractInjectableGrailsClass` | `byName, byType, getAvailable`
    `class AbstractGrailsClass` | `getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ALLOWED_HTTP_METHODS_PROPERTY

    - #### public static final java.lang.String CONTROLLER

  - ### Constructor Detail

    - #### public DefaultGrailsControllerClass(java.lang.Class<?> clazz)

  - ### Method Detail

    - #### protected boolean doCheckIsHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)

    - #### public groovy.lang.Closure getAfterInterceptor(groovy.lang.GroovyObject controller)

    - #### public groovy.lang.Closure getBeforeInterceptor(groovy.lang.GroovyObject controller)

    - #### @java.lang.Deprecated public java.util.Set getCommandObjectActions()

      deprecated:
        This method is deprecated and will be removed in a future version of Grails
      Returns:
        EMPTY_SET until the method is removed

    - #### @java.lang.Deprecated public java.util.Set getCommandObjectClasses()

      deprecated:
        This method is deprecated and will be removed in a future version of Grails
      Returns:
        EMPTY_SET until the method is removed

    - #### public java.lang.String getDefaultAction()

    - #### public java.util.Map<java.lang.String, groovy.lang.Closure> getFlows()

    - #### public java.lang.String getMethodActionName(java.lang.String uri)

    - #### public java.lang.String getNamespace()

    - #### public java.lang.String[] getURIs()

    - #### public java.lang.String getViewByName(java.lang.String viewName)

    - #### public java.lang.String getViewByURI(java.lang.String uri)

    - #### public void initialize()

    - #### public boolean isFlowAction(java.lang.String actionName)

    - #### public boolean isHttpMethodAllowedForAction(groovy.lang.GroovyObject controller, java.lang.String httpMethod, java.lang.String actionName)

    - #### public boolean isInterceptedAfter(groovy.lang.GroovyObject controller, java.lang.String action)

    - #### public boolean isInterceptedBefore(groovy.lang.GroovyObject controller, java.lang.String action)

    - #### public boolean mapsToURI(java.lang.String uri)

    - #### public void registerMapping(java.lang.String actionName)

    - #### public void setDefaultActionName(java.lang.String defaultActionName)